package com.pangus.ims.mespcb.controller;

package ..deTemp.1748575472463;

import com.pangus.common.dto.EditDataResult;
import com.pangus.fa.controller.BaseController;
import com.pangus.ims.mespcb.form.PcbFlyBasketCommonForm;
import com.pangus.ims.mespcb.service.meswp.PcbBasketPanelBindByPdaService;
import io.swagger.annotations.ApiOperation;
import javax.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

@RestController
@RequestMapping({"/pcbbasketpanelbindbypda"})
public class PcbBasketPanelBindByPdaController extends BaseController {
  @Autowired
  private PcbBasketPanelBindByPdaService pcbBasketPanelBindByPdaService;
  
  @ApiOperation(value = "跳转", httpMethod = "GET", hidden = true)
  @RequestMapping({"/{path}"})
  public ModelAndView path(@PathVariable String path, @RequestParam(value = "id", required = false) String id, @RequestParam(value = "type", required = false) String type) {
    ModelAndView modelAndView = new ModelAndView("mes/pcbbasketpanelbindbypda/" + path);
    modelAndView.addObject("type", type);
    modelAndView.addObject("id", id);
    return modelAndView;
  }
  
  @RequestMapping(value = {"/checkBasketCode"}, produces = {"application/json"})
  @ApiOperation(value = "检查挂篮编码", httpMethod = "POST")
  public EditDataResult<PcbFlyBasketCommonForm> checkBasketCode(@RequestBody PcbFlyBasketCommonForm pcbFlyBasketCommonForm, HttpServletRequest request) {
    return this.pcbBasketPanelBindByPdaService.checkBasketCode(pcbFlyBasketCommonForm.getOrgId(), 
        pcbFlyBasketCommonForm.getBasketCode());
  }
  
  @RequestMapping(value = {"/checkPanel"}, produces = {"application/json"})
  @ApiOperation(value = "检查PNL标签", httpMethod = "POST")
  public EditDataResult<PcbFlyBasketCommonForm> checkPanel(@RequestBody PcbFlyBasketCommonForm pcbFlyBasketCommonForm, HttpServletRequest request) {
    return this.pcbBasketPanelBindByPdaService.checkPanel(pcbFlyBasketCommonForm);
  }
  
  @RequestMapping(value = {"/submit"}, produces = {"application/json"})
  @ApiOperation(value = "挂篮PNL绑定", httpMethod = "POST")
  public EditDataResult<PcbFlyBasketCommonForm> submit(@RequestBody PcbFlyBasketCommonForm pcbFlyBasketCommonForm, HttpServletRequest request) {
    return this.pcbBasketPanelBindByPdaService.save(pcbFlyBasketCommonForm);
  }
}
